]> arthur.barton.de Git - bup.git/blobdiff - cmd/margin-cmd.py
README: replace du code example's tab prefix with spaces
[bup.git] / cmd / margin-cmd.py
index 90dbdcd8f90edad112c48cc5d513b95554b709fe..c042bf88bab8dd3795cb75d3e6f2bf2df44c3109 100755 (executable)
@@ -1,7 +1,15 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
+
+from __future__ import absolute_import
 import sys, struct, math
+
 from bup import options, git, _helpers
-from bup.helpers import *
+from bup.helpers import log
 
 POPULATION_OF_EARTH=6.7e9  # as of September, 2010
 
@@ -11,7 +19,7 @@ bup margin
 predict    Guess object offsets and report the maximum deviation
 ignore-midx  Don't use midx files; use only plain pack idx files.
 """
-o = options.Options('bup margin', optspec)
+o = options.Options(optspec)
 (opt, flags, extra) = o.parse(sys.argv[1:])
 
 if extra: